#!/usr/bin/perl

use strict;

my($prog) = ($0 =~ m|([^/]+)$|);

&dir('.');

exit;

sub dir
{
	my ($path) = @_;
	$path =~ s/\.\///;
	opendir DIR,$path;
	foreach my $obj (readdir(DIR)){
		next if $obj =~ m/^(\.|\.\.)$/;
		$obj = qq{$path/$obj};
		next if $obj eq $prog;
		next if $obj =~ m/$prog/igsm;
		next unless $obj =~ m/html$/igsm;
		#print qq{Processing $obj\n} if -f $obj;
		&process($obj) if -f $obj;
		&dir(qq{$path/$obj}) if -d $obj;
	}
	closedir DIR;
}


sub process
{
	my ($obj) = @_;
	print qq{Processing $obj\n};
	open F,qq{$obj};
	my @html = <F>;
	close F;
	my $htmlstr = join('',@html);
	my ($src,$trg);

	$src = q{"/css};
	$trg = q{"../css};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{"/javascript};
	$trg = q{"../javascript};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{"/Demo};
	$trg = q{"../Demo};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{'/Demo};
	$trg = q{'../Demo};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{"/images};
	$trg = q{"../images};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{'/images};
	$trg = q{'../images};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{'https://www.projects.dev/'};
	$trg = q{'../Demo/index.html'};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{'../Demo/../Demo'};
	$trg = q{'../Demo/index.html'};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{'../Demo/../Demo/};
	$trg = q{'../Demo/};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{<a href="../Demo">Demo</a></li>};
	$trg = q{<a href="../Demo/index.html">Demo</a></li>};
	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{www.projects.dev};
	$trg = q{www.vioxys.com};

	$htmlstr =~ s/$src/$trg/mgs unless $src eq '';
	$src = q{};
	$trg = q{};

	#$htmlstr =~ m/\<title\>(.*)\<\/title\>/m;
	#print $1."\n";
	open F,qq{>$obj};
	print F $htmlstr;
	close F;
}